Robots
Update a Robot Toolset
Update a member-authored Toolset.
PATCH
/robots/toolsets/{toolset_id}Update a member-authored Toolset.
storyden-session<token>
In: cookie
Path Parameters
toolset_id*string
Robot Toolset ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/robots/toolsets/string" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "string",
"name": "string",
"description": "string",
"instruction": "string",
"tools": [
"string"
],
"source": "system",
"source_ref": "string",
"editable": true,
"usage_count": 0,
"requires_workspace": true,
"author": {
"id": "cc5lnd2s1s4652adtu50",
"joined": "2019-08-24T14:15:22Z",
"suspended": "2019-08-24T14:15:22Z",
"handle": "Southclaws",
"name": "Barnaby Keene",
"signature": "<body><p>Sent with love from London!</p></body>",
"roles": [
{
"badge": true,
"default": true,
"id": "cc5lnd2s1s4652adtu50",
"name": "string",
"colour": "string",
"meta": {}
}
]
},
"meta": {}
}Empty
Empty
Empty
Empty
{
"type": "string",
"title": "string",
"detail": "string",
"trace_id": "string",
"metadata": {}
}List Robot Toolsets GET
List reusable Toolsets available to Robots. Toolsets group tools with optional instructions and may be provided by Storyden, members, or plugins, or connected MCP servers.
List robot tools GET
List all tools that may be assigned to Robots, including native Storyden tools and discovered MCP tools.